Subject: Re: Please pull bcm43xx-d80211 bugfixes and new features

From: Michael Buesch <[email-masked]>
Date: Tue, 3 Oct 2006 17:14:37 +0200

On Tuesday 03 October 2006 17:12, Martin Langer wrote:
> On Tue, Oct 03, 2006 at 04:48:04PM +0200, Michael Buesch wrote:
> > On Tuesday 03 October 2006 16:36, Larry Finger wrote:
> > > Michael Buesch wrote:
> > > >> kernel: bcm43xx_d80211: firmware revision FE84, patchlevel 90B4, date 2000-14-248
> > > >>   29:46:18
> > > > 
> > > > Uhm, which firmware are you running?
> > > 
> > > The softmac version reports the following (The "loaded" messages are something I'm trying.):
> > > 
> > > kernel: bcm43xx: Firmware: Microcode "bcm43xx_microcode4.fw" loaded.
> > > kernel: bcm43xx: Firmware: PCM "bcm43xx_pcm4.fw" loaded.
> > > kernel: bcm43xx: Firmware: InitVals0 "bcm43xx_initval01.fw" loaded.
> > > kernel: bcm43xx: Microcode rev 0x123, pl 0x21 (2005-01-22  19:48:06)
> > 
> > Well, so now you know where the problem is.
> > I can't debug this for you ;)
> 
> You have to wait some time to get correct values. That was the reason 
> why I placed version reading originally after bcm43xx_initialize_irq(), 
> because I got strange values if I read the version directly after the 
> upload.

Ok, that seems to be the problem.
It's v3 firmware, but the driver is tuned to v4, because of the
uncorrect rev value. I'll fix this.

-- 
Greetings Michael.